{************************************************************}
{                       JB Delphi Components                 }
{                   Copyright (C) JBDC 1999-2002             }
{************************************************************}

{$IFDEF WIN32}
  {$DEFINE D2_OR_HIGHER}
{$ENDIF}

{$IFNDEF VER80}
  {$IFNDEF VER90}
    {$IFNDEF VER93}
      {$DEFINE D3_OR_HIGHER}
      {$IFNDEF VER100}
        {$DEFINE BCB3_OR_HIGHER}
        {$IFNDEF VER110}
          {$DEFINE D4_OR_HIGHER}
          {$IFNDEF VER120}
            {$DEFINE BCB4_OR_HIGHER}
            {$IFNDEF VER125}
              {$DEFINE D5_OR_HIGHER}
              {$DEFINE BCB5_OR_HIGHER}
              {$IFNDEF VER130}
                {$DEFINE D6_OR_HIGHER}
              {$ENDIF}
            {$ENDIF}
          {$ENDIF}
        {$ENDIF}
      {$ENDIF}
    {$ENDIF}
  {$ENDIF}
{$ENDIF}

{$IFDEF D6_OR_HIGHER}
{$WARN SYMBOL_PLATFORM OFF}
{$ENDIF}

{$IFDEF VER80}
  {$DEFINE D1_ONLY}
{$ENDIF}
{$IFDEF VER90}
  {$DEFINE D2_ONLY}
{$ENDIF}
{$IFDEF VER93}
  {$DEFINE BCB_COMPILER}
{$ENDIF}
{$IFDEF VER100}
  {$DEFINE D3_ONLY}
{$ENDIF}
{$IFDEF VER110}
  {$DEFINE BCB3_ONLY}
  {$DEFINE BCB_COMPILER}
  {$OBJEXPORTALL ON}
{$ENDIF}
{$IFDEF VER120}
  {$DEFINE D4_ONLY}
{$ENDIF}
{$IFDEF VER125}
  {$DEFINE BCB4_ONLY}
  {$DEFINE BCB_COMPILER}
  {$OBJEXPORTALL ON}
{$ENDIF}
{$IFDEF VER130}
  {$DEFINE D5_ONLY}
  { Delphi 5 and C++Builder 5 use the same DCC32 compiler }
  {$DEFINE BCB5_ONLY}
  {$DEFINE BCB_COMPILER}
  {$OBJEXPORTALL ON}
  {$OBJEXPORTALL ON}
{$ENDIF}
{$IFDEF VER140}
  {$DEFINE D6_ONLY}
{$ENDIF}


{== Code Generation Directives ==}

{$A+}    { Word Align Data }
{$F-}    { Force Far Calls }
{$K-}    { Smart Callbacks }
{$O+}    { Optimization }
{$U-}    { Pentium-Save FDIV }
{$W-}    { Windows Stack Frame }


{== Runtime Errors ==}

{$IFOPT D+}
  { Compiled with Debug Information }
  {$C+}    { Assertions - On }
  {$L+}    { Local Symbol Information - On }
  {$R+}    { Range Checking - On }
  {$Y+}    { Symbol Reference Information - On }
{$ELSE}
  { Compiled without Debug Information }
  {$C-}    { Assertions - Off }
  {$L-}    { Local Symbol Information - Off }
  {$R-}    { Range Checking - Off }
  {$Y-}    { Symbol Reference Information - Off }
{$ENDIF}

{$I+}    { I/O Checking }
{$Q-}    { Overflow Checking }
{$S-}    { Stack Checking }


{== Syntax Options ==}

{$B-}    { Complete Boolean Evaluation }
{$H+}    { Long String Support }
{$IFDEF D4_OR_HIGHER}
{$J+}    { Writeable Typed Constants }
{$ENDIF}
{$P+}    { Open Parameters }
{$T-}    { Typed @ Operator }
{$V-}    { Strict Var-Short Strings }
{$X+}    { Extended Syntax }

{== Miscellaneous Directives ==}

{$G+}    { Delphi 1: 286 Instructions / Delphi 3 & later: Imported Data }
{$N+}    { Numeric Coprocessor }
{$Z1}    { Enumerated Types Stored in Unsigned Byte }

